%define module_name BerkeleyDB

Name: perl-%module_name
Version: 0.20
Release: alt1

Summary: %module_name module for perl

Group: Development/Perl
Url: http://www.cpan.org/modules/by-module/%module_dir/
License: GPL or Artistic

Source: http://www.cpan.org/authors/id/PMQS/%module_name-%version.tar.bz2

# Automatically added by buildreq on Mon Nov 04 2002
BuildRequires: libdb4-devel perl-devel

%description
BerkeleyDB is a module which allows Perl programs to make use of the
facilities provided by Berkeley DB version 2 or 3. (Note: if you want
to use version 1 of Berkeley DB with Perl you need the DB_File module).

Berkeley DB is a C library which provides a consistent interface to a
number of database formats. BerkeleyDB provides an interface to all
four of the database types (hash, btree, queue and recno) currently
supported by Berkeley DB.

%prep
%setup -q -n %module_name-%version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%perl_vendor_archlib/BerkeleyDB*
%perl_vendor_autolib/BerkeleyDB*
%perl_vendor_man3dir/*

%changelog
* Mon Nov 04 2002 Stanislav Ievlev <inger@altlinux.ru> 0.20-alt1
- rebuild with new perl

* Wed Apr 03 2002 Stanislav Ievlev <inger@altlinux.ru> 0.18-alt1
- 0.18
- Build with db4

* Thu Sep 20 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.16-alt1
- Initial revision.
